# Interface ItemType

interface ItemType {
category_cn: string;
category_name: string;
derived_id: string;
fov: number;
height: number;
index: number;
latitude: number;
longitude: number;
mask_color: number[];
position: { end: number[]; rotation: number[]; start: number[] };
visible_viewpoint: { [key: string]: Record<any, any> };
width: number;
}

- Defined in lib/plugins/ItemMaskPlugin/typing.ts:3

##### Index

### Properties

category_cn
category_name
derived_id
fov
height
index
latitude
longitude
mask_color
position
visible_viewpoint
width

## Properties

### category_cn

category_cn: string

- Defined in lib/plugins/ItemMaskPlugin/typing.ts:5

### category_name

category_name: string

- Defined in lib/plugins/ItemMaskPlugin/typing.ts:4

### derived_id

derived_id: string

- Defined in lib/plugins/ItemMaskPlugin/typing.ts:7

### fov

fov: number

- Defined in lib/plugins/ItemMaskPlugin/typing.ts:10

### height

height: number

- Defined in lib/plugins/ItemMaskPlugin/typing.ts:12

### index

index: number

- Defined in lib/plugins/ItemMaskPlugin/typing.ts:6

### latitude

latitude: number

- Defined in lib/plugins/ItemMaskPlugin/typing.ts:9

### longitude

longitude: number

- Defined in lib/plugins/ItemMaskPlugin/typing.ts:8

### mask_color

mask_color: number[]

- Defined in lib/plugins/ItemMaskPlugin/typing.ts:18

### position

position: { end: number[]; rotation: number[]; start: number[] }

- Defined in lib/plugins/ItemMaskPlugin/typing.ts:13

### visible_viewpoint

visible_viewpoint: { [key: string]: Record<any, any> }

- Defined in lib/plugins/ItemMaskPlugin/typing.ts:19

### width

width: number

- Defined in lib/plugins/ItemMaskPlugin/typing.ts:11